#
# Copyright 2008, Martin Owens.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from django.db import models
from django.conf import settings
from django.contrib.auth.models import User
import os


class Profile(models.Model):
    user        = models.ForeignKey(User, unique=True)
    username    = models.CharField(max_length=50, blank=True, null=True)
    openid      = models.CharField(max_length=100, blank=True, null=True)
    title       = models.CharField(max_length=100, blank=True, null=True)
    karma       = models.IntegerField(default=0)
    imageurl    = models.URLField(blank=True, null=True)
    member      = models.BooleanField( default=False )
    autoupdate  = models.BooleanField( default=False )

    def __unicode__(self):
        return "Profile for " + self.user.username

    class Admin:
        pass

