#
# Copyright 2008, Martin Owens.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from django.conf.urls.defaults import *
from views import show_profile, update_profile, join_loco, index
from django.contrib.auth.views import logout
from UbuntuMaWebsite.lpopenid.views import openid_login, openid_return

urlpatterns = patterns('',
	(r'^$',               index,           {'template_name': 'accounts/profile_list.html'}),
	(r'^profile/$',       show_profile,    {'template_name': 'accounts/myprofile.html'}),
	(r'^login/$',         openid_login,    {'template_name': 'accounts/login.html'}),
	(r'^logout/$',        logout,          {'template_name': 'accounts/logoff.html'}),
	(r'^openid/done/$',   openid_return,   {'template_name': 'accounts/openid/done.html'}),
	(r'^logout/$',        logout,          {'template_name': 'accounts/logout.html'}),
	(r'^update/$',        update_profile,  {'template_name': 'accounts/myprofile.html'}),
	(r'^join/$',          join_loco ),
)

