from django.contrib import admin
from models import *


class MobilePhoneInline(admin.StackedInline):
	model = MobilePhone
	extra = 1

class EmailInline(admin.StackedInline):
	model = EmailAddress
	extra = 1
	fieldsets = (
		(None, { 'fields': ( ( 'address','marketing' ) ) }),
	)

class HomePhoneInline(admin.StackedInline):
	model = AddressPhone
	extra = 1

class PersonAdmin(admin.ModelAdmin):
	inlines = [ MobilePhoneInline, EmailInline ]
	fieldsets = (
		(None, {
			'fields': ('type', 'title', 'first_name', 'middle_name', 'last_name', 'organisation', 'primary_address')
		}),
		('Advanced options', {
			'classes': ('collapse'),
			'fields': ('website', 'site_user', 'notes')
		}),
	)


class OrganisationAdmin(admin.ModelAdmin):
	inlines = [ EmailInline ]
	fieldsets = (
		(None, {
			'fields': ('type', 'name', 'contact', 'website'),
		}),
	)

class RoadAdmin(admin.ModelAdmin):
	pass

class TownAdmin(admin.ModelAdmin):
	pass

class RegionAdmin(admin.ModelAdmin):
	pass

class CountryAdmin(admin.ModelAdmin):
	pass

class AddressAdmin(admin.ModelAdmin):
	inlines = [ HomePhoneInline ]

class AddressRenderAdmin(admin.ModelAdmin):
	pass

class PersonTypeAdmin(admin.ModelAdmin):
	pass

class OrganisationTypeAdmin(admin.ModelAdmin):
	pass

admin.site.register(Person, PersonAdmin)
admin.site.register(Organisation, OrganisationAdmin)
admin.site.register(AddressRender, AddressRenderAdmin)
admin.site.register(PersonType, PersonTypeAdmin)
admin.site.register(OrganisationType, OrganisationTypeAdmin)

admin.site.register(Road, RoadAdmin)
admin.site.register(Town, TownAdmin)
admin.site.register(Region, RegionAdmin)
admin.site.register(Country, CountryAdmin)
admin.site.register(Address, AddressAdmin)
