#
# Copyright 2008, Martin Owens.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from django import newforms as forms
from models import Address, Road, Town, Region, Country
from moapps.extra.widgets import ContextTextWidget

class AddressForm(forms.ModelForm):
	class Meta:
		model = Address

class RegionForm(forms.ModelForm):
	class Meta:
		model = Region


class ContextAddressForm(forms.Form):
	country  = forms.ModelChoiceField(Country.objects.all())
	region   = forms.CharField(max_length=255, widget=ContextTextWidget(link='address_region',filters={'id_country':['country',int]},model=Region))
	town     = forms.CharField(max_length=255, widget=ContextTextWidget(link='address_town',filters={'id_region_id':['region',int]},model=Town))
	road     = forms.CharField(max_length=255, widget=ContextTextWidget(link='address_road',filters={'id_town_id':['town',int]},model=Road))
	number   = forms.CharField(max_length=10)
	building = forms.CharField(max_length=100)
	room     = forms.CharField(max_length=10)
	postcode = forms.CharField(max_length=20)
#	phone    = forms.CharField(max_length=255)

