#
# Copyright 2008, Martin Owens.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from django.db import models
from django.conf import settings
from django.contrib.auth.models import User

#from moapps.products.models import ProductBase
#from moapps.projects.models import Project
from moapps.projects import register_project_type

STATUS = (
	( 'START', 'Created' ),
	( 'SIZE',  'Size Demand' ),
	( 'PRE',   'Preordering' ),
	( 'ORD',   'Ordered' ),
	( 'SHP',   'Shipping' ),
	( 'SPA',   'Selling Spares' ),
)

class GroupBuy(Project):
#	product   = models.OneToOneField(ProductBase)
	status    = models.CharField(max_length=5, choices=STATUS)
	statedate = models.DateTimeField('finish date')
	design    = models.ImageField(upload_to=settings.MEDIA_DIRS['groupbuy'])

	def __unicode__(self):
		return self.name

	class Admin:
		pass


