#
# Copyright 2008, Martin Owens.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from django.db import models
from django.contrib.auth.models import User
from django.conf import settings
from moapps.projects.models import Project
import os

TRARGET_CHOICES = (
	( 'PUB',  'General Public' ),
	( 'PROG', 'Programmers' ),
	( 'TECH', 'Technical People' ),
	( 'EDU',  'Schools / Educational' ),
	( 'CORG', 'Charities' ),
	( 'GOV',  'Government' ),
)

class Marketing(Project):
	target = models.CharField(choices=TRARGET_CHOICES, max_length=4)

	class Admin:
		pass


class MarketingMedia(models.Model):
	projct  = models.ForeignKey(Marketing)
	name	= models.CharField(max_length=100)
	source  = models.FileField(upload_to=settings.MEDIA_DIRS['marketing'])
	media   = models.FileField(upload_to=settings.MEDIA_DIRS['marketing'], blank=True, null=True)
	preview = models.ImageField(upload_to=settings.MEDIA_DIRS['marketing'], blank=True, null=True)

	def __unicode__(self):
		return self.name

