#
# Copyright 2008, Martin Owens.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from django import template
from django.template import Context, loader, RequestContext
from django.http import HttpResponse, HttpResponseNotFound, HttpResponseRedirect
from django.shortcuts import get_object_or_404, render_to_response
from django.views.generic.list_detail import object_list
from models import Marketing
from forms import OutsideMarketingForm, MarketingForm
from moapps.contacts.forms import LocationForm
from django.utils.simplejson import JSONEncoder

def index(request):
	queryset = Marketing._default_manager.all()
	return object_list(request, queryset=queryset, template_name='events/index.html' )


def view(request, event_id):
	eventitem = get_object_or_404(Marketing, id=event_id)
	return render_to_response('events/item.html', { 'event': eventitem }, context_instance=template.RequestContext(request))




