from django.db import models
from django.contrib.auth.models import User
from django.conf import settings
import os

class NewsItem(models.Model):
	summery   = models.CharField(max_length=200)
	published = models.BooleanField()
	creator   = models.ForeignKey(User, related_name='creator', verbose_name='Author')
	editor    = models.ForeignKey(User, default=None, related_name='editor', verbose_name='Editor', blank=True, null=True)
	created   = models.DateTimeField('Created Date', auto_now_add=True)
	edited    = models.DateTimeField('date edited', auto_now=True)

	def __unicode__(self):
		return self.summery

	class Admin:
		pass


class NewsParagraph(models.Model):
	newsitem = models.ForeignKey(NewsItem)
	content  = models.TextField()
	image    = models.ImageField(upload_to=settings.MEDIA_DIRS['news'], null=True, blank=True)

	def __unicode__(self):
		return self.content

	def image_link(self):
		return os.path.split(self.image)[1]

