from django import template
from django.template import Context, loader
from django.http import HttpResponse
from django.shortcuts import get_object_or_404, render_to_response
from django.views.generic.list_detail import object_list
from moapps.news.models import NewsItem

def index(request):
	queryset = NewsItem._default_manager.all().filter( published=True )
	return object_list(request, queryset=queryset, template_name='news/index.html' )

def view(request, news_id):
	newsitem = get_object_or_404(NewsItem, id=news_id)
	return render_to_response('news/item.html', { 'item': newsitem }, context_instance=template.RequestContext(request))

