#
# Copyright 2008, Martin Owens.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from moapps.workflows import register_workflow
from moapps.contact.forms import ContactForm
from moapps.product.forms import TransactionForm
from forms import TicketForm

wf = register_workflow( 'phoneticket', name='Ticket Order', description="Ticket Ordering Workflow", forms={
	'ticket'      : TicketForm,
	'contact'     : ContactForm,
	'transaction' : TransactionForm,
})

wf.add_step( name='Contact', description='Personal Information', forms={ 'contact' : ContactForm })
wf.add_step( name='Tickets', description='Tickets to Order', forms={ 'ticket' : TicketForm })
wf.add_step( name='transaction', description='Order Transaction Information', forms={ 'transaction' : TransactionForm })
wf.add_end( '/tickets/order/complete/' )


